BillKit/Docs Console
Webhook endpoints

Delete webhook endpoint

Delete a webhook endpoint.

DELETE/v1/webhook_endpoints/{endpoint_id}
Operation delete_webhook_endpoint · Scope webhook_endpoints:write · Spec snapshot 2026-09-13

Parameters

ParameterDescription
endpoint_idstring · pathrequiredNo description in the spec.

Returns

Returns a DeletedResource object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the webhook_endpoints:write scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X DELETE https://api.billkit.eu/v1/webhook_endpoints/we_9XKp2vQ1 \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "deleted": true,
  "id": "obj_9XKp2vQ1",
  "object": "string"
}